#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Core components for the KDE's Activities System
Name:           plasma-activities
Version: 6.3.91
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Config) >= 5.240.0
BuildRequires:  cmake(KF6CoreAddons) >= 5.240.0
BuildRequires:  cmake(KF6WindowSystem) >= 5.240.0

BuildRequires:  boost-devel

Requires:       qt6-database-plugin-sqlite

# Renamed from kactivities
Obsoletes:      kactivities < 2:5.112.0
#Provides:       kactivities = 2:%%{version}-%%{release}

%description
Core components for the KDE's Activities System.

%files
%_kf6_categoriesdir/plasma-activities.*categories
%_kf6_bindir/plasma-activities-cli6
%_kf6_qmldir/org/kde/activities/

#--------------------------------------------------------------------

%define kactivities_major 6
%define libkactivities %mklibname plasmaactivities %{kactivities_major}

%package -n %libkactivities
Summary:        Runtime and library to organize the user work in separate activity
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkactivities
A library for using and interacting with Activities as a
consumer, application adding information to them or as an activity manager.

%files -n %libkactivities
%_kf6_libdir/libPlasmaActivities.so.%{kactivities_major}
%_kf6_libdir/libPlasmaActivities.so.%{version}

#--------------------------------------------------------------------

%define kactivities_devel %mklibname plasmaactivities -d

%package -n %kactivities_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkactivities = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kactivities_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kactivities_devel
%_includedir/PlasmaActivities/
%_kf6_libdir/cmake/PlasmaActivities/
%_kf6_libdir/libPlasmaActivities.so
%_kf6_libdir/pkgconfig/PlasmaActivities.pc

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install


%changelog
* Fri May 30 2025 daviddavid <daviddavid> 6.3.91-1.mga10
+ Revision: 2186989
- New version 6.3.91

* Tue May 06 2025 daviddavid <daviddavid> 6.3.5-1.mga10
+ Revision: 2181376
- New version 6.3.5

* Wed Apr 02 2025 daviddavid <daviddavid> 6.3.4-1.mga10
+ Revision: 2172611
- New version 6.3.4

* Thu Mar 13 2025 daviddavid <daviddavid> 6.3.3-1.mga10
+ Revision: 2163309
- New version 6.3.3

* Tue Feb 25 2025 daviddavid <daviddavid> 6.3.2-1.mga10
+ Revision: 2152427
- New version 6.3.2

* Tue Feb 18 2025 daviddavid <daviddavid> 6.3.1-1.mga10
+ Revision: 2149362
- New version 6.3.1

* Tue Feb 11 2025 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2146927
- New version 6.3.0

* Thu Jan 23 2025 daviddavid <daviddavid> 6.2.91-1.mga10
+ Revision: 2140826
- New version 6.2.91

* Sat Jan 11 2025 daviddavid <daviddavid> 6.2.90-1.mga10
+ Revision: 2137969
- New version 6.2.90

* Wed Jan 01 2025 daviddavid <daviddavid> 6.2.5-1.mga10
+ Revision: 2134147
- New version 6.2.5

* Tue Nov 26 2024 daviddavid <daviddavid> 6.2.4-1.mga10
+ Revision: 2119059
- New version 6.2.4

* Sat Nov 09 2024 daviddavid <daviddavid> 6.2.3-1.mga10
+ Revision: 2113169
- New version 6.2.3

* Tue Oct 22 2024 daviddavid <daviddavid> 6.2.2-1.mga10
+ Revision: 2110008
- New version 6.2.2

* Wed Oct 16 2024 daviddavid <daviddavid> 6.2.1-1.mga10
+ Revision: 2107185
- New version 6.2.1

* Wed Oct 09 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2104456
- New version 6.2.0

* Thu Sep 12 2024 neoclust <neoclust> 6.1.90-1.mga10
+ Revision: 2095404
- New version 6.1.90

* Wed Aug 07 2024 daviddavid <daviddavid> 6.1.4-1.mga10
+ Revision: 2083918
- New version 6.1.4

* Tue Jul 02 2024 daviddavid <daviddavid> 6.1.2-1.mga10
+ Revision: 2079088
- New version 6.1.2

* Tue Jun 25 2024 daviddavid <daviddavid> 6.1.1-1.mga10
+ Revision: 2076684
- New version 6.1.1

* Tue Jun 18 2024 neoclust <neoclust> 6.1.0-1.mga10
+ Revision: 2074833
- New version 6.1.0

* Tue Jun 04 2024 neoclust <neoclust> 6.0.90-1.mga10
+ Revision: 2069827
- New version 6.0.90

* Tue Apr 16 2024 daviddavid <daviddavid> 6.0.4-1.mga10
+ Revision: 2057886
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2052490
- New version 6.0.3

* Tue Mar 12 2024 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2049404
- New version 6.0.2

* Fri Mar 08 2024 daviddavid <daviddavid> 6.0.1-2.mga10
+ Revision: 2048767
- rebuild to remove properly old kactivities

* Thu Mar 07 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2048153
- New version 6.0.1

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2045011
- New version 6.0.0

* Fri Feb 02 2024 neoclust <neoclust> 5.93.0-1.mga10
+ Revision: 2036800
- New version 5.93.0

* Wed Jan 10 2024 neoclust <neoclust> 5.92.0-1.mga10
+ Revision: 2029661
- New version 5.92.0

* Sun Jan 07 2024 daviddavid <daviddavid> 5.91.0-3.mga10
+ Revision: 2028744
- do not provides kactivities for now

* Tue Jan 02 2024 daviddavid <daviddavid> 5.91.0-2.mga10
+ Revision: 2026198
- fix kactivities conflict

* Mon Jan 01 2024 daviddavid <daviddavid> 5.91.0-1.mga10
+ Revision: 2025815
- project was renamed upstream from kactivities to plasma-activities
+ neoclust <neoclust>
- New version 5.91.0
- New version 5.90.0

* Sun Nov 12 2023 daviddavid <daviddavid> 2:5.27.80-2.mga10
+ Revision: 2006184
- rebuild to re-upload packages

* Sun Nov 12 2023 daviddavid <daviddavid> 2:5.27.80-1.mga10
+ Revision: 2006176
- bump epoch due to package moved from frameworks to plasma --> version
  went from 5.111.0 to 5.27.80

* Sun Nov 12 2023 neoclust <neoclust> 1:5.27.80-1.mga10
+ Revision: 2006171
- Kactivities is not part of framework anymore ( 5.27.80 )
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 1:5.111.0-1.mga10
+ Revision: 1998938
- New version 5.111.0

* Sat Sep 16 2023 daviddavid <daviddavid> 1:5.110.0-1.mga10
+ Revision: 1987330
- New version 5.110.0

* Thu May 18 2023 daviddavid <daviddavid> 1:5.105.0-2.mga9
+ Revision: 1957177
- rebuild to fix libdir path in pkgconfig file

* Mon Apr 10 2023 neoclust <neoclust> 1:5.105.0-1.mga9
+ Revision: 1952012
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 1:5.104.0-1.mga9
+ Revision: 1947821
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 1:5.103.0-1.mga9
+ Revision: 1941322
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 1:5.102.0-1.mga9
+ Revision: 1934977
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 1:5.101.0-1.mga9
+ Revision: 1922219
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 1:5.100.0-1.mga9
+ Revision: 1911592
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 1:5.99.0-1.mga9
+ Revision: 1900196
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 1:5.98.0-1.mga9
+ Revision: 1887631
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 1:5.97.0-1.mga9
+ Revision: 1880579
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 1:5.96.0-1.mga9
+ Revision: 1871678
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 1:5.93.0-1.mga9
+ Revision: 1853198
- New version 5.93.0

* Sat Apr 09 2022 neoclust <neoclust> 1:5.92.0-2.mga9
+ Revision: 1848258
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 1:5.88.0-1.mga9
+ Revision: 1754806
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 1:5.87.0-1.mga9
+ Revision: 1749057
- New version 5.87.0

* Fri Oct 01 2021 neoclust <neoclust> 1:5.86.0-1.mga9
+ Revision: 1747017
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 1:5.84.0-1.mga9
+ Revision: 1735239
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 1:5.82.0-1.mga9
+ Revision: 1723430
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 1:5.81.0-1.mga9
+ Revision: 1714826
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 1:5.80.0-1.mga9
+ Revision: 1702004
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 1:5.79.0-1.mga9
+ Revision: 1691095
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 1:5.76.0-1.mga8
+ Revision: 1653309
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 1:5.75.0-1.mga8
+ Revision: 1633163
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 1:5.74.0-1.mga8
+ Revision: 1625577
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 1:5.73.0-1.mga8
+ Revision: 1612838
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 1:5.72.0-1.mga8
+ Revision: 1603068
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 1:5.71.0-1.mga8
+ Revision: 1592762
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 1:5.70.0-1.mga8
+ Revision: 1581988
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 1:5.69.0-1.mga8
+ Revision: 1566479
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 1:5.68.0-1.mga8
+ Revision: 1556655
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 1:5.67.0-2.mga8
+ Revision: 1546802
- Mageia 8 Mass Rebuild

* Wed Feb 05 2020 neoclust <neoclust> 1:5.67.0-1.mga8
+ Revision: 1487155
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 1:5.65.0-1.mga8
+ Revision: 1466203
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 1:5.64.0-1.mga8
+ Revision: 1457588
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 1:5.63.0-1.mga8
+ Revision: 1450969
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 1:5.62.0-1.mga8
+ Revision: 1444784
- New version 5.62.0

* Fri Jul 12 2019 daviddavid <daviddavid> 1:5.60.0-2.mga8
+ Revision: 1420611
- rebuild for arm

* Fri Jul 12 2019 neoclust <neoclust> 1:5.60.0-1.mga8
+ Revision: 1420570
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 1:5.57.0-1.mga7
+ Revision: 1386912
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 1:5.56.0-2.mga7
+ Revision: 1381977
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 1:5.56.0-1.mga7
+ Revision: 1374539
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 1:5.55.0-1.mga7
+ Revision: 1364514
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 1:5.54.0-1.mga7
+ Revision: 1356637
- New version 5.54.0

* Mon Dec 17 2018 neoclust <neoclust> 1:5.53.0-1.mga7
+ Revision: 1342227
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 1:5.51.0-1.mga7
+ Revision: 1318940
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 1:5.49.0-2.mga7
+ Revision: 1298415
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 1:5.49.0-1.mga7
+ Revision: 1247290
- New version 5.49.0

* Mon May 14 2018 neoclust <neoclust> 1:5.46.0-1.mga7
+ Revision: 1229228
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 1:5.42.0-1.mga7
+ Revision: 1192260
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 1:5.41.0-1.mga7
+ Revision: 1182310
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 1:5.38.0-1.mga7
+ Revision: 1161216
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 1:5.37.0-1.mga7
+ Revision: 1140378
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 1:5.36.0-1.mga7
+ Revision: 1123479
- New version 5.36.0

* Tue Mar 07 2017 neoclust <neoclust> 1:5.32.0-2.mga6
+ Revision: 1089469
- Rebuild for ARM

* Mon Mar 06 2017 neoclust <neoclust> 1:5.32.0-1.mga6
+ Revision: 1088942
- New version 5.32.0

* Mon Dec 26 2016 neoclust <neoclust> 1:5.29.0-2.mga6
+ Revision: 1078112
- Rebuild for arm

* Tue Dec 13 2016 neoclust <neoclust> 1:5.29.0-1.mga6
+ Revision: 1074513
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 1:5.28.0-1.mga6
+ Revision: 1072174
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 1:5.27.0-1.mga6
+ Revision: 1058333
- New version 5.27.0

* Thu Sep 22 2016 neoclust <neoclust> 1:5.26.0-2.mga6
+ Revision: 1055170
- Install qt5-database-plugin-sqlite by default ( mga #17852)

* Thu Sep 08 2016 neoclust <neoclust> 1:5.26.0-1.mga6
+ Revision: 1050510
- New version 5.26.0

* Fri Aug 19 2016 neoclust <neoclust> 1:5.25.0-1.mga6
+ Revision: 1047060
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 1:5.24.0-1.mga6
+ Revision: 1041310
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 1:5.23.0-1.mga6
+ Revision: 1021909
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 1:5.22.0-1.mga6
+ Revision: 1014319
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 1:5.21.0-1.mga6
+ Revision: 999616
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 1:5.20.0-1.mga6
+ Revision: 986816
- kactivities is now a Tier1
- New version 5.20.0
- Remove kactivitymanagerd

* Thu Feb 18 2016 neoclust <neoclust> 1:5.19.0-2.mga6
+ Revision: 965105
- Fix File list to not require devel packages

* Sun Feb 07 2016 neoclust <neoclust> 1:5.19.0-1.mga6
+ Revision: 942228
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 1:5.18.0-1.mga6
+ Revision: 921262
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 1:5.17.0-3.mga6
+ Revision: 913093
- Rebuild against Qt 5.6.0 Beta

* Mon Dec 14 2015 neoclust <neoclust> 1:5.17.0-2.mga6
+ Revision: 910542
- Rebuild as previous ones had been rejected by the BS

* Sun Dec 13 2015 neoclust <neoclust> 1:5.17.0-1.mga6
+ Revision: 909874
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 1:5.16.0-4.mga6
+ Revision: 900578
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 1:5.16.0-3.mga6
+ Revision: 899374
- Rebuild against fixed extra-cmake-modules

* Mon Nov 09 2015 neoclust <neoclust> 1:5.16.0-2.mga6
+ Revision: 899336
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 1:5.15.0-1.mga6
+ Revision: 888146
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 1:5.14.0-1.mga6
+ Revision: 881370
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 1:5.13.0-1.mga6
+ Revision: 862928
- New version 5.13.0
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 1:5.12.0-3.mga6
+ Revision: 862777
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Thu Jul 16 2015 neoclust <neoclust> 1:5.12.0-2.mga6
+ Revision: 854559
- Rename kactivities-framework

* Tue Jul 14 2015 neoclust <neoclust> 1:5.12.0-1.mga6
+ Revision: 853776
- New version 5.12.0

* Mon Jul 13 2015 neoclust <neoclust> 1:5.11.0-2.mga6
+ Revision: 853616
- Fix name
- Rename

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841619
- New version 5.11.0

* Fri Dec 19 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 804172
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 745964
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 680916
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660425
- New version 5.1.0
- New version 5.1.0

* Fri Jul 18 2014 neoclust <neoclust> 5.0.0-3.mga5
+ Revision: 653516
- Fix conflicts agaisnt kde4 kactivities

* Tue Jul 15 2014 lmenut <lmenut> 5.0.0-2.mga5
+ Revision: 653137
- add missing conflicts

* Tue Jul 15 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 652328
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611311
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599853
- New version  4.97.0

* Thu Feb 27 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597618
- imported package kactivities-framework

